Bug 1344936 - Review Request: golang-github-kyokomi-emoji - Emoji terminal output for golang
Summary: Review Request: golang-github-kyokomi-emoji - Emoji terminal output for golang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2016-06-12 20:44 UTC by Olivier Lemasle
Modified: 2017-04-04 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:02:22 UTC
Type: ---
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Olivier Lemasle 2016-06-12 20:44:54 UTC
Spec URL: https://olem.fedorapeople.org/golang-github-kyokomi-emoji.spec
SRPM URL: https://olem.fedorapeople.org/golang-github-kyokomi-emoji-1.4-1.fc23.src.rpm
Description: Emoji terminal output for golang
Fedora Account System Username: olem

This is my first package, and I need a sponsor.

This library is used by tools like Hugo (http://gohugo.io/).

Comment 1 Olivier Lemasle 2016-06-12 21:10:06 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=14458515

Comment 2 Athos Ribeiro 2017-03-04 18:41:04 UTC
Hello Olivier,

Would you update this to the latest version (1.5 is out)?

Thank you!

Comment 3 Olivier Lemasle 2017-03-05 22:03:14 UTC
Hi Athos,

I've just updated the package to version 1.5.

For this new package:

Spec URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji.spec
SRPM URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji-1.5-1.fc25.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18202263

Comment 4 Athos Ribeiro 2017-03-06 01:53:16 UTC
Hi Olivier,

We must keep the changelogs whenever we change the specfiles in Fedora. I know this is just a package review, but I would like to see all the changes in your two reviews logged in the changelog. Since we use gofed to generate these spec files, make sure all the Requires and BuildRequires are still correct when making the change from 1.4 to 1.5.

If you don't have the older (1.4) version of your spec file anymore, you can extract it from the srpm [1].

Note that the reason I am asking you to perform the changes using the changelog is because I will sponsor you in the packagers group when we finish with this reviews (and you provide more informal reviews) and I want to make sure you understand how to update your packages.

[1] https://olem.fedorapeople.org/golang-github-kyokomi-emoji-1.4-1.fc23.src.rpm

Comment 5 Olivier Lemasle 2017-03-06 22:09:57 UTC
Hi Athos,

Thank you for your remarks. Regarding the changelog, actually I hesitated when I uploaded the spec; I wasn't sure it was one item per spec uploaded on Bugzilla, or one item per accepted change.

I've uploaded a new version:
Spec URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji.spec
SRPM URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji-1.5-2.fc25.src.rpm

Besides, here are 2 more informal reviews I did today:
- https://bugzilla.redhat.com/show_bug.cgi?id=1165275
- https://bugzilla.redhat.com/show_bug.cgi?id=1165275 (actually one of your packages)

Comment 6 Olivier Lemasle 2017-03-07 10:31:29 UTC
I made a mistake in my last comment; here is the second informal review I was referring to: https://bugzilla.redhat.com/show_bug.cgi?id=1426851

And one more informal review: https://bugzilla.redhat.com/show_bug.cgi?id=1371340

Comment 7 Athos Ribeiro 2017-03-07 15:59:32 UTC
Hello Olivier,

Your package looks good now. Although this is not in the guidelines, Descriptions usually end with periods (while Summary should NOT). So, would you please make this last change before uploading your package?

I like the way you have been responsive to all these requests and particularly how you showed you can communicate with upstream in your other ticket [1]. You also performed some unofficial reviews on completely different packages, and I believe [2] shows you can perform reviews and follow the guidelines. Thus, I will finish reviewing your other package and proceed with your sponsorship process.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1345887
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1371340

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/athos/fedora/packaging/package-reviews/1344936-golang-github-
     kyokomi-emoji/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-kyokomi-emoji-devel-1.5-2.fc27.noarch.rpm
          golang-github-kyokomi-emoji-unit-test-devel-1.5-2.fc27.x86_64.rpm
          golang-github-kyokomi-emoji-1.5-2.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-kyokomi-emoji-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-kyokomi-emoji-devel

golang-github-kyokomi-emoji-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-kyokomi-emoji-unit-test-devel:
    golang-github-kyokomi-emoji-unit-test-devel
    golang-github-kyokomi-emoji-unit-test-devel(x86-64)

golang-github-kyokomi-emoji-devel:
    golang(github.com/kyokomi/emoji)
    golang-github-kyokomi-emoji-devel



Source checksums
----------------
https://github.com/kyokomi/emoji/archive/v1.5/1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 1510fe54450181d61e279fae0912a7b08fde9e22c0956106ef71361ffcedc8ae
  CHECKSUM(SHA256) upstream package : 1510fe54450181d61e279fae0912a7b08fde9e22c0956106ef71361ffcedc8ae

Comment 8 Olivier Lemasle 2017-03-08 17:55:00 UTC
Hello Athos,

Thank you for your review.

I've uploaded a new version to fix the description:
Spec URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji.spec
SRPM URL: https://olem.fedorapeople.org/reviews/golang-github-kyokomi-emoji-1.5-3.fc25.src.rpm

Comment 9 Athos Ribeiro 2017-03-08 18:33:38 UTC
OK Olivier, your package looks good and  you already demonstrated you are able to maintain packages and follow the guidelines.

This package is approved and you are now sponsored in the packager group.

Please follow now the instructions starting at
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

It would be nice (but not required) to create a wiki page for you at https://fedoraproject.org/wiki/Fedora_Project_Wiki

I will follow you on bugzilla for a while. Feel free to email me with any questions you may have.

Comment 10 Olivier Lemasle 2017-03-08 22:47:37 UTC
Thanks Athos for your sponsorship and review.

I've created the package on pkgdb, and waiting for validation [1].

Regarding the wiki, I had actually already created a personal page [2], that I've just updated.

[1] https://admin.fedoraproject.org/pkgdb/packager/olem/requests
[2] https://fedoraproject.org/wiki/User:Olem

Comment 11 Gwyn Ciesla 2017-03-09 13:50:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-kyokomi-emoji

Comment 12 Fedora Update System 2017-03-09 14:57:48 UTC
golang-github-kyokomi-emoji-1.5-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afc97ed3c7

Comment 13 Fedora Update System 2017-03-10 23:23:52 UTC
golang-github-kyokomi-emoji-1.5-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afc97ed3c7

Comment 14 Fedora Update System 2017-04-04 16:02:22 UTC
golang-github-kyokomi-emoji-1.5-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.